### Constructor

# GimpUi ColorSelector new

#### Declaration [src]

    GtkWidget*
    gimp_color_selector_new (
      GType selector_type,
      const GimpRGB* rgb,
      const GimpHSV* hsv,
      GimpColorSelectorChannel channel
    )

#### Description [src]

Creates a new `GimpColorSelector` widget of type `selector_type`.

Note that this is mostly internal API to be used by other widgets.

Please use `gimp_color_selection_new()` for the “GIMP-typical” color selection widget. Also see gimp_color_button_new().

Retunn value: the new `GimpColorSelector` widget.

#### Parameters

`selector_type` | `GType`
| The `GType` of the selector to create.
`rgb` | `GimpRGB`
| The initial color to be edited.
| The data is owned by the caller of the function.
`hsv` | `GimpHSV`
| The same color in HSV.
| The data is owned by the caller of the function.
`channel` | `GimpColorSelectorChannel`
| The selector’s initial channel.

#### Return value

Returns: | `GtkWidget`
| No description available.
| The data is owned by the called function.